Skip to content
Runta
Search
Ctrl
K
Cancel
GitHub
Select theme
Dark
Light
Auto
Start Here
Overview
Getting Started
Integration
Harbor
OpenAI agents sdk
Runtimes
Runtime Basic
Files
Egress
Checkpoints
Secrets and Secret Injection
Publish a Service
Auto Suspend and Wake-up
Billing Model
Overview
Reference
Runta CLI
Overview
Setup
Install
Configuration
Runtime Commands
Lifecycle
Command Execution
Files
Declarative Config
Controls
Checkpoints
Egress
Secrets
TLS
Runta SDK
Overview
Python SDK
Overview
Runtimes
Commands and Files
Egress and Audits
Secrets and Checkpoints
TypeScript SDK
Overview
Runtimes
Commands and Files
Egress
Secrets and Checkpoints
Errors
Runta REST API
Overview
Health
Liveness check
GET
Liveness check
HEAD
Runtimes
List runtimes
GET
Create a runtime
POST
Get a runtime by UUID
GET
Delete a runtime by UUID
DELETE
Patch runtime resources or policy
PATCH
Boot a shut-down runtime
POST
Pause a running runtime
POST
Resume a paused runtime
POST
Gracefully shut down a runtime
POST
Run a buffered command
POST
Files
Read a single file from a runtime
GET
Write a single file into a runtime
PUT
Audits
List recent audits
GET
Secrets
List egress secret metadata
GET
Store an egress secret
POST
Get egress secret metadata
GET
Delete an egress secret
DELETE
Secret Injection Rules
List secret injection rules for a runtime
GET
Create a runtime-scoped secret injection rule
POST
Get runtime secret injection rule metadata
GET
Delete a runtime secret injection rule
DELETE
List all secret injection rules
GET
Delete a secret injection rule by UUID
DELETE
Checkpoints
Create a checkpoint from a runtime
POST
List user checkpoints
GET
Get checkpoint metadata
GET
Delete a checkpoint
DELETE
GitHub
Select theme
Dark
Light
Auto
Overview
Runta REST API
0.0.4
Section titled “Runta REST API 0.0.4”
Public REST facade for runta-control.
Information
OpenAPI version:
3.0.3
Operations
Section titled “ Operations ”
GET
/healthz
HEAD
/healthz
GET
/v1/runtimes
POST
/v1/runtimes
GET
/v1/runtimes/{runtime_id}
DELETE
/v1/runtimes/{runtime_id}
PATCH
/v1/runtimes/{runtime_id}
POST
/v1/runtimes/{runtime_id}/start
POST
/v1/runtimes/{runtime_id}/pause
POST
/v1/runtimes/{runtime_id}/resume
POST
/v1/runtimes/{runtime_id}/stop
POST
/v1/runtimes/{runtime_id}/exec
GET
/v1/runtimes/{runtime_id}/files
PUT
/v1/runtimes/{runtime_id}/files
GET
/v1/audits
GET
/v1/secrets
POST
/v1/secrets
GET
/v1/secrets/{secret_id}
DELETE
/v1/secrets/{secret_id}
GET
/v1/runtimes/{runtime_id}/secret-injection-rules
POST
/v1/runtimes/{runtime_id}/secret-injection-rules
GET
/v1/runtimes/{runtime_id}/secret-injection-rules/{rule_id}
DELETE
/v1/runtimes/{runtime_id}/secret-injection-rules/{rule_id}
GET
/v1/secret-injection-rules
DELETE
/v1/secret-injection-rules/{rule_id}
POST
/v1/runtimes/{runtime_id}/checkpoints
GET
/v1/checkpoints
GET
/v1/checkpoints/{checkpoint_id}
DELETE
/v1/checkpoints/{checkpoint_id}
Authentication
Section titled “ Authentication ”
BearerAuth
Section titled “BearerAuth ”
Security scheme type:
http